[Golang] 升级gin框架和jwt-go

github自动检测出项目里面的依赖gin框架和jwt-go ,有安全漏洞,因此现在升级一下

 

gin框架直接修改go.mod中的版本号就可以

github.com/dgrijalva/jwt-go 可以替换为github.co m/golang-jwt/jwt 把代码中import部分的替换掉

 

然后go mod tidy

开源作品

GO-FLY,一套可私有化部署的免费开源客服系统,安装过程不超过五分钟(超过你打我 !),基于Golang开发,二进制文件可直接使用无需搭开发环境,下载zip解压即可,仅依赖MySQL数据库,是一个开箱即用的网页在线客服系统,致力于帮助广大开发者/中小站长快速整合私有客服功能
github地址:go-fly
官网地址:https://gofly.sopans.com
posted @ 2022-01-06 10:25  陶士涵  阅读(12)  评论(0编辑  收藏  举报